<?php

namespace Drupal\contribution_records\SourceLink;

/**
 * This source implements issues coming from dev copies of drupal.org.
 *
 * All logic should be about the source, no internal Drupal logic.
 */
class DevDrupalOrgIssue extends DrupalOrgIssue {

  /**
   * Domain of the source.
   *
   * If you are testing on a Drupal 7 dev copy, change this value to that
   * copy's URL. eg: "fjgarlin-drupal.dev.devdrupal.org"
   *
   * @var string
   */
  public const DOMAIN = 'www.staging.devdrupal.org';

}
